> For the complete documentation index, see [llms.txt](https://docs.av-scripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.av-scripts.com/guides/multicharacter/clothes.md).

# Clothes

**The following scripts are compatible by default:**

* qb-clothing (and any other script that uses its same event names)
* illenium-appearance
* tgiann clothing
* esx\_skin and skinchager (who uses this in 2025?)

### Other Clothing Scripts

> To make your own clothing script compatible do the following:

* Go to **config/clothing.lua** > add your resource name in the **compatible** table.
* Go to **client/editable/clothing.lua** **> line 18** add a new line like this right before the one from illenium-appearance:

```lua
if Config.ClothingScript == "your_resource_name" then
  dbug("your_resource_name")
  -- Add your setPed, setClothing or however your clothing script export is named
  -- Set the clothes to the designed ped and trigger a return at the end
  -- Look at the other scripts examples
  
  return 
end
```

* Go to **server/editable/\_callbacks.lua** > **line 32** add your clothing script export to retrieve the player clothes using identifier:

```lua
-- Retrieve character skin based on identifier
lib.callback.register("av_multicharacter:getSkin", function(source,identifier)
    dbug("getSkin(identifier)", identifier)
    if Config.ClothingScript == "tgiann-clothing" then
        local result = MySQL.single.await('SELECT `model`, `skin` FROM `tgiann_skin` WHERE `citizenid` = ? LIMIT 1', {identifier})
        if result and result['model'] and result['skin'] then
            return {model = result['model'], skin = result['skin']}
        else
            return false
        end
    end
    if Config.ClothingScript == "your_resource_name" then
        -- Retrieve your character model and skin
        -- return a table containing model and skin
        -- return {model, skin}
    end
    local skin = GetPlayerSkin(identifier) or false
    return skin
end)
```

{% hint style="warning" %}
I don't know how X clothing script works, I don't own every script in Fivem, please avoid asking how to make X clothing script compatible with mine.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.av-scripts.com/guides/multicharacter/clothes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
